package com.ejie.ab78.model.terceros;

import java.util.ArrayList;
import java.util.List;

public class VistaTerceros implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String participantId;

	private Long idTipoTercero;
	private String tipoTerceroDesCas;
	private String tipoTerceroDesEus;

	private Integer orden;
	private List<DatosTerceros> datosTercerosList = new ArrayList<DatosTerceros>();
	private List<DatosDirecciones> listaDirecciones = new ArrayList<DatosDirecciones>();

	public VistaTerceros() {
		super();
	}

	public VistaTerceros(String participantId, Long idTipoTercero, String tipoTerceroDesCas, String tipoTerceroDesEus,
			Integer orden, List<DatosTerceros> datosTercerosList, List<DatosDirecciones> listaDirecciones) {

		this.participantId = participantId;
		this.idTipoTercero = idTipoTercero;
		this.tipoTerceroDesCas = tipoTerceroDesCas;
		this.tipoTerceroDesEus = tipoTerceroDesEus;
		this.orden = orden;
		this.datosTercerosList = datosTercerosList;
		this.listaDirecciones = listaDirecciones;
	}

	/**
	 * @return the participantId
	 */
	public String getParticipantId() {
		return participantId;
	}

	/**
	 * @param participantId
	 *            the participantId to set
	 */
	public void setParticipantId(String participantId) {
		this.participantId = participantId;
	}

	/**
	 * @return the idTipoTercero
	 */
	public Long getIdTipoTercero() {
		return idTipoTercero;
	}

	/**
	 * @param idTipoTercero
	 *            the idTipoTercero to set
	 */
	public void setIdTipoTercero(Long idTipoTercero) {
		this.idTipoTercero = idTipoTercero;
	}

	/**
	 * @return the tipoTerceroDesCas
	 */
	public String getTipoTerceroDesCas() {
		return tipoTerceroDesCas;
	}

	/**
	 * @param tipoTerceroDesCas
	 *            the tipoTerceroDesCas to set
	 */
	public void setTipoTerceroDesCas(String tipoTerceroDesCas) {
		this.tipoTerceroDesCas = tipoTerceroDesCas;
	}

	/**
	 * @return the tipoTerceroDesEus
	 */
	public String getTipoTerceroDesEus() {
		return tipoTerceroDesEus;
	}

	/**
	 * @param tipoTerceroDesEus
	 *            the tipoTerceroDesEus to set
	 */
	public void setTipoTerceroDesEus(String tipoTerceroDesEus) {
		this.tipoTerceroDesEus = tipoTerceroDesEus;
	}

	/**
	 * @return the orden
	 */
	public Integer getOrden() {
		return orden;
	}

	/**
	 * @param orden
	 *            the orden to set
	 */
	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	/**
	 * @return the datosTercerosList
	 */
	public List<DatosTerceros> getDatosTercerosList() {
		return datosTercerosList;
	}

	/**
	 * @param datosTercerosList
	 *            the datosTercerosList to set
	 */
	public void setDatosTercerosList(List<DatosTerceros> datosTercerosList) {
		this.datosTercerosList = datosTercerosList;
	}

	/**
	 * @return the listaDirecciones
	 */
	public List<DatosDirecciones> getListaDirecciones() {
		return listaDirecciones;
	}

	/**
	 * @param listaDirecciones
	 *            the listaDirecciones to set
	 */
	public void setListaDirecciones(List<DatosDirecciones> listaDirecciones) {
		this.listaDirecciones = listaDirecciones;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "VistaTerceros [participantId=" + participantId + ", idTipoTercero=" + idTipoTercero
				+ ", tipoTerceroDesCas=" + tipoTerceroDesCas + ", tipoTerceroDesEus=" + tipoTerceroDesEus + ", orden="
				+ orden + ", datosTercerosList=" + datosTercerosList + ", listaDirecciones=" + listaDirecciones + "]";
	}

}
